---
search:
  tags:
    - Challenges
    - POST
seo:
  description: >-
    Attach an uploaded file to a challenge. Reference for the POST
    /api/admin/challenges/{id}/files endpoint in the Athena Jeopardy Admin API.
sidebar:
  label: Attach an uploaded file to a challenge
  badge: POST
title: Attach an uploaded file to a challenge
type: openapi-operation
---
`POST /api/admin/challenges/{id}/files`

**Request body** (`application/json`, required)

- `id` (string, required)
- `filename` (string, required)
- `size` (integer, required)

Request body example:

```json
{
  "id": "string",
  "filename": "string",
  "size": 0
}
```

**Responses**

- `200` — Success
- `401` — Unauthorized
- `404` — Not found
- `409` — Conflict
- `422` — Validation failed
- `500` — Unhandled server error

Response example, 200:

```json
{
  "id": "string",
  "filename": "string",
  "size": 0
}
```
